@REM Blue Hell done Quick batch file (Nightmare run)
@ECHO off
@REM Check for the JZBLUE directory
cd ..
ECHO Blue Hell done Quick (Nightmare run)
ECHO by the Quake done Quick team
ECHO (http://PlanetQuake.com/QdQ/)
ECHO .
IF NOT EXIST jzblue\bhdq_nr.bat ECHO You need to call your Blue Hell directory "jzblue" to use this batch file.
IF NOT EXIST jzblue\bhdq_nr.bat GOTO END
cd jzblue
IF NOT EXIST prog\counter.bat GOTO MOVEFILE
:BACK

@REM Initialisation
IF EXIST *.tab del *.tab
IF EXIST put_back.bat CALL put_back
IF EXIST config.cfg REN config.cfg config.bak
ECHO @ECHO off > put_back.bat
ECHO ECHO Returning paks to library >> put_back.bat
IF EXIST bhdq.pak GOTO WHICHQUAKE

:nobhdq
ECHO I could not find the the pak containing the speed runs! (bhdq.pak)
GOTO END

:WHICHQUAKE
IF EXIST ..\glquake.exe IF EXIST ..\quake.exe IF EXIST ..\winquake.exe GOTO GQW
IF EXIST ..\glquake.exe IF EXIST ..\quake.exe GOTO GQ
IF EXIST ..\glquake.exe IF EXIST ..\winquake.exe GOTO GW
IF EXIST ..\glquake.exe GOTO GLQUAKE
IF EXIST ..\quake.exe IF EXIST ..\winquake.exe GOTO QW
IF EXIST ..\quake.exe GOTO QUAKE
IF EXIST ..\winquake.exe GOTO WINQUAKE
ECHO Failed to find any of GLQuake, WinQuake and Quake.
GOTO END

:GQW
PROG\CHOICE /C:GQW "Run using GLQuake.exe, Quake.exe or WinQuake.exe "
IF errorlevel 3 GOTO WINQUAKE
IF errorlevel 2 GOTO QUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:GQ
PROG\CHOICE /C:GQ "Run using GLQuake.exe or Quake.exe "
IF errorlevel 2 GOTO QUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:GW
PROG\CHOICE /C:GW "Run using GLQuake.exe or WinQuake.exe "
IF errorlevel 2 GOTO WINQUAKE
IF errorlevel 1 GOTO GLQUAKE
GOTO END

:QW
PROG\CHOICE /C:QW "Run using Quake.exe or WinQuake.exe? "
IF errorlevel 2 GOTO WINQUAKE
IF errorlevel 1 GOTO QUAKE
GOTO END

:GLQUAKE
ECHO ' ' > glquake.tab
ECHO ' ' > glorwinq.tab
GOTO COUNTPAKS

:WINQUAKE
ECHO ' ' > winquake.tab
ECHO ' ' > glorwinq.tab
GOTO COUNTPAKS

:QUAKE
ECHO ' ' > quake.tab
GOTO COUNTPAKS

:COUNTPAKS
IF NOT EXIST ..\id1\pak0.pak GOTO COUNTJZB
CALL prog\counter
IF NOT EXIST ..\id1\pak1.pak GOTO COUNTJZB
CALL prog\counter
IF NOT EXIST ..\id1\pak2.pak GOTO COUNTJZB
CALL prog\counter
IF NOT EXIST ..\id1\pak3.pak GOTO COUNTJZB
CALL prog\counter
IF NOT EXIST ..\id1\pak4.pak GOTO COUNTJZB
CALL prog\counter
IF NOT EXIST ..\id1\pak5.pak GOTO COUNTJZB
CALL prog\counter
IF NOT EXIST ..\id1\pak6.pak GOTO COUNTJZB
CALL prog\counter
IF NOT EXIST ..\id1\pak7.pak GOTO COUNTJZB
CALL prog\counter
IF NOT EXIST ..\id1\pak8.pak GOTO COUNTJZB
CALL prog\counter

:COUNTJZB

IF NOT EXIST pak0.pak GOTO CHECK
CALL prog\counter
IF NOT EXIST pak1.pak GOTO CHECK
CALL prog\counter
IF NOT EXIST pak2.pak GOTO CHECK
CALL prog\counter
IF NOT EXIST pak3.pak GOTO CHECK
CALL prog\counter
IF NOT EXIST pak4.pak GOTO CHECK
CALL prog\counter
IF NOT EXIST pak5.pak GOTO CHECK
CALL prog\counter
IF NOT EXIST pak6.pak GOTO CHECK
CALL prog\counter
IF NOT EXIST pak7.pak GOTO CHECK
CALL prog\counter
IF NOT EXIST pak8.pak GOTO CHECK
CALL prog\counter

:CHECK
IF EXIST 9.tab IF EXIST glorwinq.tab GOTO PROBLEM
CALL prog\movepak bhdq
IF EXIST 9.tab IF EXIST glorwinq.tab GOTO PROBLEM

:RUN
cd ..
IF EXIST jzblue\quake.tab GOTO RUNQUAKE
IF EXIST jzblue\winquake.tab GOTO RUNWINQUAKE
IF EXIST jzblue\glquake.tab GOTO RUNGLQUAKE

:RUNGLQUAKE
ECHO Starting GLQuake on BHdQ
glquake -game jzblue +temp1 0 %1 %2 %3 %4 %5 %6 %7 %8 %9
PAUSE
GOTO HAVERUN

:RUNWINQUAKE
ECHO Starting WinQuake on BHdQ
winquake -game jzblue -winmem 16 +temp1 0 %1 %2 %3 %4 %5 %6 %7 %8 %9
PAUSE
GOTO HAVERUN

:RUNQUAKE
ECHO Starting DOS Quake on BHdQ
quake -game jzblue -winmem 16 -nojoy +temp1 0 %1 %2 %3 %4 %5 %6 %7 %8 %9
GOTO HAVERUN

:PROBLEM
ECHO You are trying to run GLQuake or WinQuake with more than the maximum
ECHO number of *.pak files allowed. These versions of Quake will only work if
ECHO you use no more than eight *.pak files altogether in your id1\
ECHO and jzblue\ directories.
ECHO ----
ECHO There are four ways you may be able to solve this problem:
ECHO 1. If you have some unnecessary *.paks for such things as a crosshair
ECHO    in your id1\ or jzblue\ directories, move them out temporarily.
ECHO    Files such as id1\pak2.pak and upwards are probably suitable candidates.
ECHO 2. Run using normal Quake, not WinQuake or GLQuake. This version can
ECHO    handle any number of *.pak files.
ECHO 3. (For the Quake techie only.) Unpak the paks, or repak several small
ECHO    paks into one larger one, using a tool such as QPed or AdQuEdit.
ECHO ----
ECHO Sorry for the inconvenience. Hope one of these ideas helps!
ECHO ----
GOTO END

:MOVEFILE
ECHO Moving files to prog directory
mkdir prog > nul
copy choice.com prog > nul
copy counter.bat prog > nul
copy movepak.bat prog > nul
del choice.com > nul
del counter.bat > nul
del movepak.bat > nul
GOTO BACK

:HAVERUN
CLS
ECHO Blue Hell done Quick

:END
IF EXIST jzblue\bhdq_nr.bat cd jzblue
IF EXIST put_back.bat CALL put_back
IF EXIST put_back.bat del put_back.bat
IF EXIST *.tab del *.tab
IF EXIST config.cfg DEL config.cfg
IF EXIST config.bak REN config.bak config.cfg
